#ifndef BISON_CONFPARSE_H
# define BISON_CONFPARSE_H

#ifndef YYSTYPE
typedef union {
    int num;
    unsigned char *str;
    struct instruction *ins;
    struct binding *binding;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	INT	257
# define	FLOAT	258
# define	STRING	259
# define	ID	260
# define	FUNCTION	261
# define	RETURN	262
# define	VAR	263
# define	BIND	264
# define	SUBTREE	265
# define	RECURSIVE	266
# define	FINAL	267
# define	FALLBACK	268
# define	GLOBAL	269
# define	IF	270
# define	ELSE	271
# define	FOR	272
# define	WHILE	273
# define	NULLTOK	274
# define	T_INT	275
# define	T_FLOAT	276
# define	T_STRING	277
# define	T_ARRAY	278
# define	ASSIGN	279
# define	AUTOADD	280
# define	AUTOSUB	281
# define	LOGOR	282
# define	LOGAND	283
# define	EQ	284
# define	NE	285
# define	LT	286
# define	GT	287
# define	LE	288
# define	GE	289
# define	AUTOINC	290
# define	AUTODEC	291


extern YYSTYPE yylval;

#endif /* not BISON_CONFPARSE_H */
